#pragma once

#include "CoreMinimal.h"
#include "BarkLine.generated.h"

USTRUCT(BlueprintType)
struct FBarkLine
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText SubtitleId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	uint8 Weight;

public:
	BARKSYSTEM_API FBarkLine();
};

FORCEINLINE uint32 GetTypeHash(const FBarkLine) { return 0; }
